# uo_multinom_reg.R
library(R2OpenBUGS)
data<-read.table("uo_multinom_reg.csv", sep=",", head=TRUE)

y<-data$wahl
x<-data$geschl
n<-length(y)

table(x,y)

data<-list("y","x", "n")

parameters<-c("beta_20", "beta_30", "beta_21", "beta_31")

# Startwerte des Markov-Prozesses
inits <- function(){
list(beta_20 = rnorm(1), beta_21=rnorm(1), beta_30=rnorm(1), beta_31=rnorm(1))
}

# Übergabe an OpenBUGS
output<-bugs(data, inits=inits, parameters, model.file="uo_multinom_reg.txt",
    n.chains=2, n.iter=8000, n.burnin=1000)

# Ausgabe der Ergebnisse
print(output, digits=2)